%define rel             3
%define name            libwps
%define ups_version     0.1.2
%define version         0.1.2
%define release         %mkrel %{rel}
%define api_version     0.1
%define lib_major       1
%define lib_name        %mklibname wps %{api_version} %{lib_major}
%define lib_name_devel  %mklibname -d wps

Name: %{name}
Summary: Library for reading and converting Microsoft Works word processor documents
Epoch: 1
Version: %{version}
Release: %{release}
Source: http://nchc.dl.sourceforge.net/sourceforge/libwps/%{name}-%{version}.tar.gz
Group: Office
URL: http://libwps.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: LGPLv2+
BuildRequires: doxygen
BuildRequires: libwpd-devel >= 0.8.8
BuildRequires: glibc-devel

%description
Library that handles Microsoft Works documents.

%package tools
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Summary: Tools to transform Works documents into other formats
Group: Publishing

%description tools
Tools to transform Works documents into other formats.
Currently supported: html, raw, text

%package -n %{lib_name}
Summary: Library for reading and converting Microsoft Works word processor documents
Group: System/Libraries
Obsoletes: %mklibname wps- 0.1 1

%description -n %{lib_name}
Library that handles Microsoft Works documents.

%package -n %{lib_name_devel}
Summary: Files for developing with libwps
Group: Development/C++
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Provides: libwps-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
Includes and definitions for developing with libwps.

%package docs
Requires: %{lib_name_devel} = %{epoch}:%{version}-%{release}
Summary: Documentation of libwps API
Group: Development/C++

%description docs
Documentation of libwps API for developing with libwps

%prep
%setup -q -n %{name}-%{ups_version}

%build
%configure2_5x
%make

%install
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files tools
%defattr(755,root,root,755)
%{_bindir}/wps2*

%files -n %{lib_name}
%defattr(644,root,root,755)
%{_libdir}/libwps*-0.1.so.*

%files -n %{lib_name_devel}
%defattr(644,root,root,755)
%{_libdir}/libwps*-0.1.so
%{_libdir}/libwps*-0.1.*a
%{_libdir}/pkgconfig/libwps*-0.1.pc
%{_includedir}/libwps-0.1/libwps

%files docs
%{_docdir}/libwps-%{ups_version}/*


%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:0.1.2-3mdv2010.0
+ Revision: 425880
- rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.2-2mdv2009.0
+ Revision: 229833
- rebuild

* Sun Jan 06 2008 Funda Wang <fundawang@mandriva.org> 1:0.1.2-1mdv2008.1
+ Revision: 145946
- fix doc dir
- New version 0.1.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 1:0.1.0-7mdv2008.1
+ Revision: 105960
- adopt to libname policy

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 1:0.1.0-6mdv2008.1
+ Revision: 105958
- fix requires of tools and devel

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Wed Aug 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1:0.1.0-5mdv2008.0
+ Revision: 74902
- Fix epoch handling.

* Wed Aug 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1:0.1.0-4mdv2008.0
+ Revision: 74859
- New upstream: 0.1.0 final.

* Fri Aug 03 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0.svn20070129-4mdv2008.0
+ Revision: 58625
- Remove ~ from the version tag.

* Fri Jun 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0~svn20070129-3mdv2008.0
+ Revision: 45871
- Add provides on -devel due to 64b stuff.

* Tue Jun 26 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0~svn20070129-2mdv2008.0
+ Revision: 44663
- Fix requirest from -devel to lib.

* Tue Jun 26 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0~svn20070129-1mdv2008.0
+ Revision: 44627
- Added missing buildrequires to doxygen.
- Adapted to Mandriva.
- Import libwps



* Sun Sep 24 2006 Andrew Ziem <andrewziem users sourceforge net>
- wpd to wps

* Fri Jan 28 2005 Fridrich Strba <fridrich.strba@bluewin.ch>
- Adapt to the new libwpd-X.Y and libwpd-stream-X.Y modules

* Wed Sep 29 2004 Fridrich Strba <fridrich.strba@bluewin.ch>
- Move files between libwpd and libwpd-devel packages
- Reflect the separation of libwpd-1 and libwpd-stream-1

* Sat May 22 2003 Rui M. Seabra <rms@1407.org>
- Reflect current state of build

* Sat Apr 26 2003 Rui M. Seabra <rms@1407.org>
- Create rpm spec
